%define anolis_release 2

Summary:        A freely licensed alternative to the GLUT library
Name:           freeglut
Version:        3.4.0
Release:        %{anolis_release}%{?dist}
URL:            http://freeglut.sourceforge.net
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# For the manpages
Source1:        https://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz
Patch0:         common.patch
Patch1:		fix-CVE-2024-24258-and-CVE-2024-24259.patch
License:        MIT

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
# The virtual Provides below is present so that this freeglut package is a
# drop in binary replacement for "glut" which will satisfy rpm dependancies
# properly.  The Obsoletes tag is required in order for any pre-existing
# "glut" package to be removed and replaced with freeglut when upgrading to
# freeglut.  Note: This package will NOT co-exist with the glut package.
Provides:       glut = 3.7
Obsoletes:      glut < 3.7

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Freeglut developmental libraries and header files
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig(gl) pkgconfig(glu)
Provides:       glut-devel = 3.7
Obsoletes:      glut-devel < 3.7

%description devel
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.


%prep
%setup -q -a 1
%patch -P0 -p0
%patch -P1 -p1

%build
%{cmake} -DFREEGLUT_BUILD_STATIC_LIBS=OFF
%{cmake_build}


%install
%{cmake_install}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
install -p -m 644 doc/man/*.3 $RPM_BUILD_ROOT/%{_mandir}/man3

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut.so.3*
%{abidir}/libglut.dump

%files doc
%doc AUTHORS ChangeLog README.md

%files devel
%doc doc/html/*.png doc/html/*.html
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/glut.pc
%{_mandir}/man3/*
%{_libdir}/cmake/FreeGLUT/*

%changelog
* Thu Aug 01 2024 Kaiqiang Wang <wangkaiqiang@inspur.com> - 3.4.0-2
- fix CVE-2024-24258 and CVE-2024-24259

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 3.4.0-1
- Import package for anolis 23
